﻿using System;
using System.Collections.Generic;
using System.Linq;
using Grasshopper.Kernel;
using Grasshopper.Kernel.Data;
using Grasshopper.Kernel.Types;
using Rhino.Geometry;

namespace NumberOrNot
{
    public class NumberOrNotComponent : GH_Component
    {
        public NumberOrNotComponent()
          : base("NumberOrNot", "Nickname",
              "Description",
              "Category", "Subcategory")
        {
        }
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddGenericParameter("input", "input", "input", GH_ParamAccess.tree);
        }
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddBooleanParameter("isNumber", "isNumber", "isNumber", GH_ParamAccess.item);
        }
        protected override void SolveInstance(IGH_DataAccess DA)
        {
            DA.GetDataTree(0, out GH_Structure<IGH_Goo> inputs);
            var isNumber = inputs.AllData(true).All(input => input is GH_Number);
            DA.SetData(0, isNumber);
        }
        protected override System.Drawing.Bitmap Icon => null;
        public override Guid ComponentGuid => new Guid("3e2ef850-21b5-4cbc-81b2-0330a0e010e6");
    }
}
